Subject: Re: [PATCH 9/10] Allow completion of --committer and --author arguments to git log.

From: Shawn Pearce <[email-masked]>
Date: Mon, 27 Nov 2006 11:46:55 -0500

Nicolas Vilz <[email-masked]> wrote:
> On Mon, Nov 27, 2006 at 03:42:28AM -0500, Shawn O. Pearce wrote:
> > This is just a cute hack, but we can (easily) complete the parameter
> > to --author or --committer in bash by asking for all possible authors
> > or committers in this project from git log and offering them up as
> > valid choices.
> > 
> > We replace spaces with dots as this prevents names with spaces from
> > appearing as two parameters rather than one, yet it still matches the
> > space in the field.
>
> is it hard to train bash-completion to use "" and spaces instead of 
> replacing spaces by dots? Besides, great feature, thank you for that... 
> that's very handy.

I tried.  Bash did not listen.  :-)

I tried "", '', \<sp>.  None of them carried into the completion.
Obviously I was doing something wrong, but right now I don't know
what that was.  I spent 22 minutes on it and just caved in with
dots when it worked and nothing else did.

--